#include<iostream>
#include<queue>
using namespace std;
bool moguce(int n,int m,int k){
    if(n==m)return false;
    if(k>n)return false;
    if(k>m)return false;
    queue<int>red;
    int x=0;
    while(n>0){
        if(n%k==0){
        red.push(n/k);
        n-=k;
        }
        else{
        red.push(n/k+n%k);
        n-=k;
        }
    }
    for(int i=0;i<=k;i++){
        for(int j=0;j<red.front();j++){
            m-=j;
            if(m<0)return false;
        }
        red.pop();

    }
    return true;
}
int main(){
ios_base::sync_with_stdio(false);
int t;
cin>>t;
queue<int>red;
for(int i=0;i<t;i++){
    int n,m,k;
    cin>>n>>m>>k;
    red.push(n);
    red.push(m);
    red.push(k);


}
while(!red.empty()){
    int n=red.front();
    red.pop();
    int m=red.front();
    red.pop();
    int k=red.front();
    red.pop();
    if(moguce(n,m,k))cout<<"Tak"<<"\n";
    else cout<<"Nie"<<"\n";
}
return 0;
}